[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFilterRecordEvent

Record filtering event handler prototype

## Declaration

Source position: db.pas line 1083

`type TFilterRecordEvent = procedure(`
`DataSet: TDataSet;`
`var Accept: Boolean`
`) of object;`

## Arguments

`DataSet` |  | Dataset that triggered the event
`Accept` |  | Set to indicate whether the current record should be shown or not.

## Description

TFilterRecordEvent is the prototype for the TDataset.OnFilterRecord event handler. The Dataset parameter indicates which dataset triggered the event, and the Accept parameter must be set to true if the current record should be shown, False should be used when the record should be hidden.

## See also

TDataset.OnFilterRecord |  | Event triggered to filter records.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .